goalGatherRadioParts.mSteps =
{
	{ action = "click", object = objectShedWirehanger },
	{ action = "click", object = objectBedroomRadiodial },
	{ action = "click", object = objectLivingroomRadiofrontplate },
	{ action = "click", object = objectLivingroomTelevisionPlatePocket1 },
	{ action = "click", object = objectLivingroomTelevisionPlatePocket2 },
	{ action = "click", object = objectBasementWrench },
	{ action = "click", object = objectLivingroomWiresFixed, selection = objectBasementWrench },
	{ action = "click", object = objectShedElectricaltape },
	{ action = "click", object = objectShedPliers }
}
goalGatherRadioParts.wiresHelpMessageShown = false
-- ----------------------------------------------------------------------------
function goalGatherRadioParts:onClickObject(layout, object, props, x, y)
	
	self:checkIfAchieved()
	
end
-- ----------------------------------------------------------------------------
function goalGatherRadioParts:onUsedAll(object, props)

	if (object == objectLivingroomWiresFixed) then
		self:checkIfAchieved()
	end
	
end
-- ----------------------------------------------------------------------------
function goalGatherRadioParts:onStarted()
    
    objectBedroomRadiodial:ss(kActive)
	objectLivingroomRadiofrontplate:ss(kActive)	
    objectLivingroomWires:ss(kHidden)
    objectShedElectricaltape:ss(kActive)
    objectShedPliers:ss(kActive)
    objectShedWirehanger:ss(kActive)
   
    objectLivingroomTelevisionPlatePocket1:ss(kActive)
    
end
-- ----------------------------------------------------------------------------
function goalGatherRadioParts:onLayoutShow(layout)

	if (self.wiresHelpMessageShown == false and layout == objectLivingroomTelevision) then
		think("MESSAGE_LIVINGROOM_TELEVISION")
		self.wiresHelpMessageShown = true
		
	end
	
end
-- ----------------------------------------------------------------------------
function goalGatherRadioParts:checkIfAchieved()

	if ((objectBedroomRadiodial:isFoundOrUsed()) and
		(objectLivingroomRadiofrontplate:isFoundOrUsed()) and
		(objectLivingroomWires:isFoundOrUsed()) and
		(objectShedElectricaltape:isFoundOrUsed()) and
		(objectShedPliers:isFoundOrUsed()) and
		(objectShedWirehanger:isFoundOrUsed())) then
		self:achieved()
		
	end
	
end